Skip to main content
Alerting & Response/Alert Rules
GETAlertingSince 1.0SynchronousAuth Required

GetAlertBuiltinRuleTemplates

List builtin alert rule templates for creating new rules

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of builtin alert rule templates

    Example: (nested array)

    • idString

      Template identifier

      Example: btmpl-001

    • nameString

      Template display name

      Example: VM CPU Alert

    • descriptionString

      Template description

      Example: Alert when VM CPU exceeds threshold

    • categoryString

      Category this template belongs to

      Example: infrastructure

    • resourceTypeString

      Resource type the template monitors

      Example: vm

    • metricNameString

      Metric name in the template

      Example: cpu_usage_percent

    • operatorString

      Default operator for the template

      Example: >

    • thresholdLong

      Default threshold for the template

      Example: 90

    • durationInteger

      Default duration for the template

      Example: 300

    • severityString

      Default severity for the template

      Example: critical

    • impactScopeString

      Impact scope for the template

      Example: cluster

  • totalInteger

    Total number of templates

    Example: 15

  • limitInteger

    Maximum items per page

    Example: 20

  • offsetInteger

    Offset from start of result set

    Example: 20

Endpoint

GET/api/v1/alerting/rules/builtin-templates

/api/v1/alerting/rules/builtin-templates

Operation ID

GetAlertBuiltinRuleTemplates

Permalink

Request Example

curl -X GET '{host}/api/v1/alerting/rules/builtin-templates' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 15,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history